%define upstream_name    Data-TreeDumper
%define upstream_version 0.40

%define _requires_exceptions perl(Data::TreeDumper::OO)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Improved replacement for Data::Dumper
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Check::ISA)
BuildRequires: perl(Class::ISA)
BuildRequires: perl(Devel::Size) >= 0.580.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Sort::Naturally)
BuildRequires: perl(Term::Size) >= 0.200.0
BuildRequires: perl(Text::Wrap) >= 2001.92.900
BuildArch:  noarch

%description
Data::Dumper and other modules do a great job of dumping data structures. Their
output, however, often takes more brain power to understand than the data
itself. When dumping large amounts of data, the output can be overwhelming and
it can be difficult to see the relationship between each piece of the dumped
data.

Data::TreeDumper also dumps data in a tree-like fashion but hopefully in a
format more easily understood.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/Data

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.400.0-2.mga3
+ Revision: 365502
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 jquelin <jquelin> 0.400.0-1.mga2
+ Revision: 106587
- update to 0.40

* Sat Jan 22 2011 jquelin <jquelin> 0.370.0-1.mga1
+ Revision: 31876
- mageia rebuild
- imported package perl-Data-TreeDumper

